package com.schbrain.bean;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhuyf
 * @date 2022/6/21
 */
@Data
public class User implements Serializable {

    /**
     * ID
     */
    private Long id;

    /**
     * PKID
     */
    private String pkId;

    /**
     * 接入方ID
     */
    private Long appInfoId;

    /**
     * 用户ID
     */
    private String userid;

    /**
     * 姓名
     */
    private String name;

    /**
     * 别名
     */
    private String alias;

    /**
     * 性别
     */
    private String gender;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 激活状态1=已激活，2=已禁用，4=未激活，5=退出企业。
     */
    private Integer status;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 职务信息
     */
    private String position;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 头像缩略图
     */
    private String thumbAvatar;

    /**
     * 座机
     */
    private String telephone;

    /**
     * 扩展属性
     */
    private String extattr;

    /**
     * 员工个人二维码
     */
    private String qrCode;

    /**
     * 成员对外属性
     */
    private String externalProfile;

    /**
     * 对外职务
     */
    private String externalPosition;

    /**
     * 地址
     */
    private String address;

    /**
     * 主部门
     */
    private Long mainDepartment;
    /**
     * 主部门
     */
    private String openUserid;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date modifyTime;
}
