package com.schbrain.canal.client.reflector;

import java.lang.reflect.InvocationTargetException;


public interface Invoker {
    /**
     * 给指定对象的当前属性设置值
     * @param var1
     * @param var2
     * @return
     * @throws IllegalAccessException
     * @throws InvocationTargetException
     */
    Object invoke(Object var1, Object[] var2) throws IllegalAccessException, InvocationTargetException;

    /**
     * 类型
     * @return
     */
    Class<?> getType();
}
